package com.bonus.canteen.core.supply.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;

@ApiModel("入库批次详情")
public class AndroidInventoryDetailVO implements Serializable {
   @ApiModelProperty("入库记录id")
   private String intoId;
   @ApiModelProperty("入库详情id")
   private Long intoDetailId;
   @ApiModelProperty("当前批次剩余库存数量")
   private BigDecimal inventoryNum;
   @ApiModelProperty("原料id")
   private Long materialId;
   @ApiModelProperty("原料")
   private String materialName;
   @ApiModelProperty("供应商id")
   private Long supplierId;
   @ApiModelProperty("供应商")
   private String supplierName;
   @ApiModelProperty("生产日期")
   private LocalDate productDate;
   @ApiModelProperty("到期时间(保质期)")
   private LocalDate expireTime;
   @ApiModelProperty("单价")
   private Integer unitPrice;
   @ApiModelProperty("总价")
   private Integer totalPrice;

   public String getIntoId() {
      return this.intoId;
   }

   public Long getIntoDetailId() {
      return this.intoDetailId;
   }

   public BigDecimal getInventoryNum() {
      return this.inventoryNum;
   }

   public Long getMaterialId() {
      return this.materialId;
   }

   public String getMaterialName() {
      return this.materialName;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public String getSupplierName() {
      return this.supplierName;
   }

   public LocalDate getProductDate() {
      return this.productDate;
   }

   public LocalDate getExpireTime() {
      return this.expireTime;
   }

   public Integer getUnitPrice() {
      return this.unitPrice;
   }

   public Integer getTotalPrice() {
      return this.totalPrice;
   }

   public void setIntoId(final String intoId) {
      this.intoId = intoId;
   }

   public void setIntoDetailId(final Long intoDetailId) {
      this.intoDetailId = intoDetailId;
   }

   public void setInventoryNum(final BigDecimal inventoryNum) {
      this.inventoryNum = inventoryNum;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setMaterialName(final String materialName) {
      this.materialName = materialName;
   }

   public void setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
   }

   public void setSupplierName(final String supplierName) {
      this.supplierName = supplierName;
   }

   public void setProductDate(final LocalDate productDate) {
      this.productDate = productDate;
   }

   public void setExpireTime(final LocalDate expireTime) {
      this.expireTime = expireTime;
   }

   public void setUnitPrice(final Integer unitPrice) {
      this.unitPrice = unitPrice;
   }

   public void setTotalPrice(final Integer totalPrice) {
      this.totalPrice = totalPrice;
   }


   public String toString() {
      String var10000 = this.getIntoId();
      return "AndroidInventoryDetailVO(intoId=" + var10000 + ", intoDetailId=" + this.getIntoDetailId() + ", inventoryNum=" + String.valueOf(this.getInventoryNum()) + ", materialId=" + this.getMaterialId() + ", materialName=" + this.getMaterialName() + ", supplierId=" + this.getSupplierId() + ", supplierName=" + this.getSupplierName() + ", productDate=" + String.valueOf(this.getProductDate()) + ", expireTime=" + String.valueOf(this.getExpireTime()) + ", unitPrice=" + this.getUnitPrice() + ", totalPrice=" + this.getTotalPrice() + ")";
   }
}
